DRM_DP_MST_TOPOLOGY_(9)

NAME
drm_dp_mst_topology_mgr_init - initialise a topology manager

SYNOPSIS

int drm_dp_mst_topology_mgr_init(struct drm_dp_mst_topology_mgr * mgr, struct device * dev, struct drm_dp_aux * aux, int max_dpcd_transaction_bytes, int max_payloads, int conn_base_id);

ARGUMENTS

mgr
    manager struct to initialise

dev
    device providing this structure - for i2c addition.

aux
    DP helper aux channel to talk to this device

max_dpcd_transaction_bytes
    hw specific DPCD transaction limit

max_payloads
    maximum number of payloads this GPU can source

conn_base_id
    the connector object ID the MST device is connected to.

DESCRIPTION

Return 0 for success, or negative error code on failure

AUTHORS

Jesse Barnes <jesse.barnes@intel.com>
Intel Corporation,

    Initial version

Laurent Pinchart <laurent.pinchart@ideasonboard.com>
Ideas on board SPRL,

    Driver internals

Daniel Vetter <daniel.vetter@ffwll.ch>
Intel Corporation,

    Contributions all over the place

COPYRIGHT